Index: palm/trunk/SOURCE/write_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/write_3d_binary.f90	(revision 997)
+++ palm/trunk/SOURCE/write_3d_binary.f90	(revision 1001)
@@ -4,5 +4,5 @@
 ! Current revisions:
 ! -----------------
-!
+! all actions concerning leapfrog scheme removed
 !
 ! Former revisions:
@@ -104,14 +104,7 @@
        WRITE ( 14 )  'e_av                ';  WRITE ( 14 )  e_av
     ENDIF
-    WRITE ( 14 )  'e_m                 ';  WRITE ( 14 )  e_m
     WRITE ( 14 )  'iran                ';  WRITE ( 14 )  iran, iran_part
     WRITE ( 14 )  'kh                  ';  WRITE ( 14 )  kh
-    IF ( timestep_scheme(1:5) /= 'runge' )  THEN
-       WRITE ( 14 )  'kh_m                ';  WRITE ( 14 )  kh_m
-    ENDIF
     WRITE ( 14 )  'km                  ';  WRITE ( 14 )  km
-    IF ( timestep_scheme(1:5) /= 'runge' )  THEN
-       WRITE ( 14 )  'km_m                ';  WRITE ( 14 )  km_m
-    ENDIF
     IF ( ALLOCATED( lpt_av ) )  THEN
        WRITE ( 14 )  'lpt_av              ';  WRITE ( 14 )  lpt_av
@@ -141,5 +134,4 @@
        WRITE ( 14 )  'pt_av               ';  WRITE ( 14 )  pt_av
     ENDIF
-    WRITE ( 14 )  'pt_m                ';  WRITE ( 14 )  pt_m
     IF ( humidity  .OR. passive_scalar )  THEN
        WRITE ( 14 )  'q                   ';  WRITE ( 14 )  q 
@@ -147,5 +139,4 @@
           WRITE ( 14 )  'q_av                ';  WRITE ( 14 )  q_av
        ENDIF
-       WRITE ( 14 )  'q_m                 ';  WRITE ( 14 ) q_m
        IF ( cloud_physics  .OR.  cloud_droplets )  THEN
           WRITE ( 14 )  'ql                  ';  WRITE ( 14 ) ql
@@ -156,14 +147,8 @@
        WRITE ( 14 )  'qs                  ';  WRITE ( 14 ) qs
        WRITE ( 14 )  'qsws                ';  WRITE ( 14 ) qsws
-       IF ( timestep_scheme(1:5) /= 'runge' )  THEN
-          WRITE ( 14 )  'qsws_m              ';  WRITE ( 14 ) qsws_m
-       ENDIF
        IF ( ALLOCATED( qsws_av ) )  THEN
           WRITE ( 14 )  'qsws_av             ';  WRITE ( 14 )  qsws_av
        ENDIF
        WRITE ( 14 )  'qswst               ';  WRITE ( 14 ) qswst
-       IF ( timestep_scheme(1:5) /= 'runge' )  THEN
-          WRITE ( 14 )  'qswst_m             ';  WRITE ( 14 ) qswst_m
-       ENDIF
     ENDIF
     IF ( ocean )  THEN
@@ -193,7 +178,4 @@
                                            WRITE ( 14 )  random_iy
     WRITE ( 14 )  'rif                 ';  WRITE ( 14 )  rif
-    IF ( timestep_scheme(1:5) /= 'runge' )  THEN
-       WRITE ( 14 )  'rif_m               ';  WRITE ( 14 )  rif_m
-    ENDIF
     IF ( topography /= 'flat' )  THEN
        WRITE ( 14 )  'rif_wall            ';  WRITE ( 14 )  rif_wall
@@ -203,7 +185,4 @@
     ENDIF
     WRITE ( 14 )  'shf                 ';  WRITE ( 14 )  shf
-    IF ( timestep_scheme(1:5) /= 'runge' )  THEN
-       WRITE ( 14 )  'shf_m               ';  WRITE ( 14 )  shf_m
-    ENDIF
     IF ( ALLOCATED( shf_av ) )  THEN
        WRITE ( 14 )  'shf_av              ';  WRITE ( 14 )  shf_av
@@ -218,12 +197,8 @@
     ENDIF
     WRITE ( 14 )  'tswst               ';  WRITE ( 14 )  tswst
-    IF ( timestep_scheme(1:5) /= 'runge' )  THEN
-       WRITE ( 14 )  'tswst_m             ';  WRITE ( 14 )  tswst_m
-    ENDIF
     WRITE ( 14 )  'u                   ';  WRITE ( 14 )  u
     IF ( ALLOCATED( u_av ) )  THEN
        WRITE ( 14 )  'u_av                ';  WRITE ( 14 )  u_av
     ENDIF
-    WRITE ( 14 )  'u_m                 ';  WRITE ( 14 )  u_m
     IF ( ALLOCATED( u_m_l ) )  THEN
        WRITE ( 14 )  'u_m_l               ';  WRITE ( 14 )  u_m_l
@@ -241,8 +216,4 @@
     WRITE ( 14 )  'usws                ';  WRITE ( 14 )  usws
     WRITE ( 14 )  'uswst               ';  WRITE ( 14 )  uswst
-    IF ( timestep_scheme(1:5) /= 'runge' )  THEN
-       WRITE ( 14 )  'usws_m              ';  WRITE ( 14 )  usws_m
-       WRITE ( 14 )  'uswst_m             ';  WRITE ( 14 )  uswst_m
-    ENDIF
     IF ( ALLOCATED( us_av ) )  THEN
        WRITE ( 14 )  'us_av               ';  WRITE ( 14 )  us_av
@@ -252,5 +223,4 @@
        WRITE ( 14 )  'v_av                ';  WRITE ( 14 )  v_av
     ENDIF
-    WRITE ( 14 )  'v_m                 ';  WRITE ( 14 )  v_m
     IF ( ALLOCATED( v_m_l ) )  THEN
        WRITE ( 14 )  'v_m_l               ';  WRITE ( 14 )  v_m_l
@@ -270,19 +240,11 @@
           WRITE ( 14 )  'vpt_av              ';  WRITE ( 14 )  vpt_av
        ENDIF
-       IF ( timestep_scheme(1:5) /= 'runge' )  THEN
-          WRITE ( 14 )  'vpt_m               ';  WRITE ( 14 )  vpt_m
-       ENDIF
     ENDIF
     WRITE ( 14 )  'vsws                ';  WRITE ( 14 )  vsws
     WRITE ( 14 )  'vswst               ';  WRITE ( 14 )  vswst
-    IF ( timestep_scheme(1:5) /= 'runge' )  THEN
-       WRITE ( 14 )  'vsws_m              ';  WRITE ( 14 )  vsws_m
-       WRITE ( 14 )  'vswst_m             ';  WRITE ( 14 )  vswst_m
-    ENDIF
     WRITE ( 14 )  'w                   ';  WRITE ( 14 )  w
     IF ( ALLOCATED( w_av ) )  THEN
        WRITE ( 14 )  'w_av                ';  WRITE ( 14 )  w_av
     ENDIF
-    WRITE ( 14 )  'w_m                 ';  WRITE ( 14 )  w_m
     IF ( ALLOCATED( w_m_l ) )  THEN
        WRITE ( 14 )  'w_m_l               ';  WRITE ( 14 )  w_m_l
Index: palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- palm/trunk/SOURCE/write_var_list.f90	(revision 997)
+++ palm/trunk/SOURCE/write_var_list.f90	(revision 1001)
@@ -4,5 +4,6 @@
 ! Current revisions:
 ! -----------------
-!
+! -cut_spline_overshoot, last_dt_change, long_filter_factor, overshoot_limit_*,
+! ups_limit_*
 !
 ! Former revisions:
@@ -235,6 +236,4 @@
     WRITE ( 14 )  'cthf                          '
     WRITE ( 14 )  cthf
-    WRITE ( 14 )  'cut_spline_overshoot          '
-    WRITE ( 14 )  cut_spline_overshoot
     WRITE ( 14 )  'cycle_mg                      '
     WRITE ( 14 )  cycle_mg
@@ -315,12 +314,8 @@
     WRITE ( 14 )  'lad_vertical_gradient_level_in'
     WRITE ( 14 )  lad_vertical_gradient_level_ind
-    WRITE ( 14 )  'last_dt_change                '
-    WRITE ( 14 )  last_dt_change
     WRITE ( 14 )  'large_scale_subsidence        '
     WRITE ( 14 )  large_scale_subsidence
     WRITE ( 14 )  'leaf_surface_concentration    '
     WRITE ( 14 )  leaf_surface_concentration
-    WRITE ( 14 )  'long_filter_factor            '
-    WRITE ( 14 )  long_filter_factor
     WRITE ( 14 )  'loop_optimization             '
     WRITE ( 14 )  loop_optimization
@@ -363,14 +358,4 @@
     WRITE ( 14 )  'output_for_t0                 '
     WRITE ( 14 )  output_for_t0
-    WRITE ( 14 )  'overshoot_limit_e             '
-    WRITE ( 14 )  overshoot_limit_e
-    WRITE ( 14 )  'overshoot_limit_pt            '
-    WRITE ( 14 )  overshoot_limit_pt
-    WRITE ( 14 )  'overshoot_limit_u             '
-    WRITE ( 14 )  overshoot_limit_u
-    WRITE ( 14 )  'overshoot_limit_v             '
-    WRITE ( 14 )  overshoot_limit_v
-    WRITE ( 14 )  'overshoot_limit_w             '
-    WRITE ( 14 )  overshoot_limit_w
     WRITE ( 14 )  'passive_scalar                '
     WRITE ( 14 )  passive_scalar
@@ -549,14 +534,4 @@
     WRITE ( 14 )  'ug_vertical_gradient_level_ind'
     WRITE ( 14 )  ug_vertical_gradient_level_ind
-    WRITE ( 14 )  'ups_limit_e                   '
-    WRITE ( 14 )  ups_limit_e
-    WRITE ( 14 )  'ups_limit_pt                  '
-    WRITE ( 14 )  ups_limit_pt
-    WRITE ( 14 )  'ups_limit_u                   '
-    WRITE ( 14 )  ups_limit_u
-    WRITE ( 14 )  'ups_limit_v                   '
-    WRITE ( 14 )  ups_limit_v
-    WRITE ( 14 )  'ups_limit_w                   '
-    WRITE ( 14 )  ups_limit_w
     WRITE ( 14 )  'use_surface_fluxes            '
     WRITE ( 14 )  use_surface_fluxes
